---
title: PCB Keyboard
BOMTable: true
order: 3
shortDescription:
  "A keyboard to play your oscillator"
sample: "./recipes/PCB-keyboard/keyboard.mp3"
BOM:
  - type: Misc
    label: "A completely clean PCB"
  - type: Resistor
    label: "Multiple resistors between 1K and 100K"
pcb: "./recipes/PCB-keyboard/sketchpic.webp"
---

This recipe uses the Single Transistor Oscillator created in a previous recipe. The keyboard will replace the resistor of the oscillator that is in charge of the pitch. That pitch resistor will now exist on the keyboard.

From a PCB that you have salvaged, remove _all_ of the components and, with a piece of sandpaper, scratch off the green mask of the PCB, making the copper visible. Now, the traces of the PCB can be reused as wires. We will place multiple resistors on the PCB, to create the following circuit:

![Since this power supply will be used a lot, I made it a bit more permanent by glueing it to a piece of wood.](./recipes/PCB-keyboard/schematic.webp)

Find or make a couple of tracks or traces that are not connected to each other (using the multimeter). These will act as your wires! To one trace, solder the audio in from the oscillator. Find a trace nearby, close enough that if you can touch the two traces with your thumb and solder a resistor on that trace. The other end of the resistor should go back to your oscillator.

Now, when you touch both traces with your finger, a bridge is created, closing the circuit, and causing the audio signal to go through your resistor back into the original circuit. If you do this multiple times with various resistor values, you've created a playable keyboard!
